## Search Workers `client.Workers.Scripts.Search(ctx, params) (*[]ScriptSearchResponse, error)` **get** `/accounts/{account_id}/workers/scripts-search` Search for Workers in an account. ### Parameters - `params ScriptSearchParams` - `AccountID param.Field[string]` Path param: Identifier. - `ID param.Field[string]` Query param: Worker ID (also called tag) to search for. Only exact matches are returned. - `Name param.Field[string]` Query param: Worker name to search for. Both exact and partial matches are returned. - `OrderBy param.Field[ScriptSearchParamsOrderBy]` Query param: Property to sort results by. Results are sorted in ascending order. - `const ScriptSearchParamsOrderByCreatedOn ScriptSearchParamsOrderBy = "created_on"` - `const ScriptSearchParamsOrderByModifiedOn ScriptSearchParamsOrderBy = "modified_on"` - `const ScriptSearchParamsOrderByName ScriptSearchParamsOrderBy = "name"` - `Page param.Field[int64]` Query param: Current page. - `PerPage param.Field[int64]` Query param: Items per page. ### Returns - `type ScriptSearchResponseEnvelopeResult []ScriptSearchResponse` - `ID string` Identifier. - `CreatedOn Time` When the script was created. - `ModifiedOn Time` When the script was last modified. - `ScriptName string` Name of the script, used in URLs and route configuration. - `EnvironmentIsDefault bool` Whether the environment is the default environment. - `EnvironmentName string` Name of the environment. - `ServiceName string` Name of the service. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/workers" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.Workers.Scripts.Search(context.TODO(), workers.ScriptSearchParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2017-01-01T00:00:00Z", "modified_on": "2017-01-01T00:00:00Z", "script_name": "this-is_my_script-01", "environment_is_default": true, "environment_name": "production", "service_name": "my-service" } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```